## org.hibernate.engine.internal
Class JoinSequence.Join

    java.lang.Object
      org.hibernate.engine.internal.JoinSequence.Join

Enclosing class:
  JoinSequence

    public final class JoinSequence.Join

extends Object

Method Summary
`String` `getAlias()`
`AssociationType` `getAssociationType()`
`Joinable` `getJoinable()`
`JoinType` `getJoinType()`
`String[]` `getLHSColumns()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getAlias

    public String getAlias()

### getAssociationType

    public AssociationType getAssociationType()

### getJoinable

    public Joinable getJoinable()

### getJoinType

    public JoinType getJoinType()

### getLHSColumns

    public String[] getLHSColumns()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.